(in-package :om)

(defun sdif-amp-freq (param tiempo nro-parc) 
  (let ( (p-amp nil) (p-freq nil) (amps nil) (freqs nil)) 
    (loop  for i from 1 to nro-parc do
           (loop  for frame in param for ti in tiempo do 
                  (dolist (par frame)
                    (if (= (first par) i) (progn
                        (push (om-make-point (* 10000.0 ti) (* 1000000.0 (third par))) p-amp)
                        (push (om-make-point (* 10000.0 ti) (* 10000.0 (second par))) p-freq))))) 
           (push (make-instance 'bpf :point-list (reverse p-amp) :decimals 4  :bpfcolor (om-make-color 1 0 0)) amps)
           (push (make-instance 'bpf :point-list (reverse p-freq ) :decimals 4 :bpfcolor *om-purple-color*) freqs)
           (setf p-amp nil)
           (setf p-freq nil)
           )
    (list (reverse amps) (reverse freqs))))

